CREATE TABLE IF NOT EXISTS `mb_province` (
  `prid` int(11) NOT NULL PRIMARY KEY,
  `name` varchar(128) NOT NULL DEFAULT '' ,
  `pinyin` varchar(256) NOT NULL DEFAULT '' ,
  `type` tinyint(4) NOT NULL DEFAULT '0' 
);

CREATE TABLE IF NOT EXISTS `mb_city` (
  `ctid` int(11) NOT NULL PRIMARY KEY,
  `prid` int(11) NOT NULL ,
  `name` varchar(128) NOT NULL DEFAULT '' ,
  `pinyin` varchar(256) NOT NULL DEFAULT '' ,
  `lat` decimal(20,10) NOT NULL DEFAULT '0.0000000000' ,
  `lng` decimal(20,10) NOT NULL DEFAULT '0.0000000000' 
) ;

CREATE TABLE IF NOT EXISTS `mb_division` (
  `diid` int(10)NOT NULL PRIMARY KEY,
  `ctid` int(10) NOT NULL ,
  `name` varchar(128) NOT NULL DEFAULT '' ,
  `pinyin` varchar(256) NOT NULL DEFAULT ''
);


