CREATE TABLE IF NOT EXISTS `mb_user_baby` (
  lubid integer PRIMARY KEY autoincrement,
  `ubid` int(11) ,
  `urid` int(11) ,
  `name` varchar(64) DEFAULT '' ,
  `avatar` varchar(256) DEFAULT '' ,
  `sign` varchar(256) DEFAULT '' ,
  `birthday` varchar(64) NOT NULL DEFAULT '' ,
  `type` tinyint(4) NOT NULL DEFAULT '1' ,
  `sex` tinyint(4) DEFAULT '1' ,
  `cover` varchar(256) DEFAULT '',
  `ismodify` tinyint(4) DEFAULT '1'  
);

CREATE TABLE IF NOT EXISTS `mb_diary` (
  ldaid integer PRIMARY KEY autoincrement,
  `daid` int(11) ,
  `lubid` int(11) NOT NULL DEFAULT '',
  `ubid` int(11) ,
  `content` varchar(255) DEFAULT '' ,
  `visible` tinyint(4) DEFAULT '1' ,
  `comments` int(11) DEFAULT '0',
  `acclaim` int(11) DEFAULT '0' ,
  `type` tinyint(4) NOT NULL DEFAULT '1' ,
  `time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ,
  `ismodify` tinyint(4) DEFAULT '1' 
);

CREATE TABLE IF NOT EXISTS `mb_diary_media` (
  ldmid integer PRIMARY KEY autoincrement,
  `key` varchar(128) NOT NULL DEFAULT '',
  `dmid` int(11) ,
  `ldaid` int(11) NOT NULL DEFAULT '',
  `daid` int(11) ,
  `imgurl` varchar(512) DEFAULT '' ,
  `mediaurl` varchar(512) DEFAULT '' ,
  `mediasec` int(11) NOT NULL DEFAULT '0' ,
  `type` tinyint(4) NOT NULL DEFAULT '1' ,
  `ismodify` tinyint(4) DEFAULT '1' 
);


CREATE TABLE IF NOT EXISTS `mb_diary_picture` (
  ldpid integer PRIMARY KEY autoincrement,
  `key` varchar(128) NOT NULL DEFAULT '',
  `dpid` int(11) ,
  `ldaid` int(11) NOT NULL DEFAULT '',
  `daid` int(11) ,
  `thumbnail` varchar(512) DEFAULT '',
  `imgurl` varchar(512) DEFAULT '',
  `ismodify` tinyint(4) DEFAULT '1' 
);


CREATE TABLE IF NOT EXISTS `mb_diary_remind` (
  ldrid integer PRIMARY KEY autoincrement,
  `drid` int(11) ,
  `lubid` int(11) NOT NULL DEFAULT '',
  `ubid` int(11) ,
  `content` varchar(512) NOT NULL DEFAULT '' ,
  `time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `repeat` tinyint(4) NOT NULL DEFAULT '0' ,
  `end` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ,
  `done` tinyint(4) NOT NULL DEFAULT '0',
  `donetime` String DEFAULT '' ,
  `ismodify` tinyint(4) DEFAULT '1' 
);

CREATE TABLE IF NOT EXISTS `mb_diary_file` (
  flid integer PRIMARY KEY autoincrement,  
  `key` varchar(128) NOT NULL DEFAULT '' ,
  `value` varchar(512) NOT NULL DEFAULT '' 
);
